cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Modular.Builder

Synopsis

- buildTree :: Index -> IndependentGoals -> [PN] -> Tree () QGoalReason
- splits :: [a] -> [(a, [a])]

# Documentation

buildTree :: Index -> IndependentGoals -> [PN] -> Tree () QGoalReason #

Interface to the tree builder. Just takes an index and a list of package names, and computes the initial state and then the tree from there.

splits :: [a] -> [(a, [a])] #

Pairs each element of a list with the list resulting from removal of that element from the original list.